    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------
    028     * DrawingSupplier.java
    029     * --------------------
    030     * (C) Copyright 2003, 2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: DrawingSupplier.java,v 1.3.2.1 2005/10/25 20:52:08 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 16-Jan-2003 : Version 1 (DG);
    040     * 17-Jan-2003 : Renamed PaintSupplier --> DrawingSupplier (DG);
    041     *
    042     */
    043
    044    package org.jfree.chart.plot;
    045
    046    import java.awt.Paint;
    047    import java.awt.Shape;
    048    import java.awt.Stroke;
    049
    050    /**
    051     * A supplier of <code>Paint</code> and <code>Stroke</code> objects.
    052     * <p>
    053     * To support the cloning of charts, classes that implement this interface
    054     * should also implement <code>PublicCloneable</code>.
    055     */
    056    public interface DrawingSupplier {
    057
    058        /**
    059         * Returns the next paint in a sequence maintained by the supplier.
    060         *
    061         * @return The paint.
    062         */
    063        public Paint getNextPaint();
    064
    065        /**
    066         * Returns the next outline paint in a sequence maintained by the supplier.
    067         *
    068         * @return The paint.
    069         */
    070        public Paint getNextOutlinePaint();
    071
    072        /**
    073         * Returns the next <code>Stroke</code> object in a sequence maintained by
    074         * the supplier.
    075         *
    076         * @return The stroke.
    077         */
    078        public Stroke getNextStroke();
    079
    080        /**
    081         * Returns the next <code>Stroke</code> object in a sequence maintained by
    082         * the supplier.
    083         *
    084         * @return The stroke.
    085         */
    086        public Stroke getNextOutlineStroke();
    087
    088        /**
    089         * Returns the next <code>Shape</code> object in a sequence maintained by
    090         * the supplier.
    091         *
    092         * @return The shape.
    093         */
    094        public Shape getNextShape();
    095
    096    }